package com.cesgroup.common.utils;

/**
 * web 层返回信息枚举
 * @author qiaokun
 * @2018/08/13
 */
public enum ApiResponseEnum {
    /**
     * API调用成功返回
     */
    SUCCESS(10000,"请求成功"),
    /**
     * 系统错误
     */
    SYS_ERROR(10103, "系统错误"),
    IP_ERROR(10104, "ip地址格式错误"),

    /**
     * 参数错误
     */
    AUTH_SIGN_ERROR(10201,"签名验证失败"),
    AUTH_IP_ERROR(10202,"IP白名单验证失败"),
    AUTH_TOKEN_ERROR(10203, "token验证失败"),
    TOKEN_OVERTIME_ERROR(10204, "token已过期")
    ;

    public static String AUTH_CENTER_SERVICE = "kyb-search";

    private int errCode = 0;

    private String errMsg;


    private ApiResponseEnum(int errCode, String errMsg) {
       this.errCode = errCode;
       this.errMsg = errMsg;
    }

    public int getErrCode() {
        return errCode;
    }

    public void setErrCode(int errCode) {
        this.errCode = errCode;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

}
